For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Merchant

Create Merchant

POST
https://api.ziptax.com/merchant/create
POST
/merchant/create
$curl -X POST https://api.ziptax.com/merchant/create \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "contact_email": "contact_email",
> "contact_first": "contact_first",
> "contact_last": "contact_last",
> "merchant_name": "merchant_name",
> "reference_id": "reference_id"
>}'
1{
2 "merchantId": "merchantId",
3 "message": "message",
4 "status": "status"
5}

Creates a new merchant under the authenticated account. Requires X-API-KEY header.

Was this page helpful?
Previous

Update Merchant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
contact_emailstringRequired
Primary contact email
contact_firststringRequired
Primary contact first name
contact_laststringRequired
Primary contact last name
merchant_namestringRequired1-255 characters
Merchant business name
reference_idstringRequired<=255 characters
The ID you use in your own system to identify this merchant.
send_taxcloud_invitebooleanOptional
Sends invite to set up and connect a TaxCloud account to a merchant who does not already use TaxCloud. To connect a TaxCloud account for a merchant who already uses TaxCloud, use the "Set Merchant Credentials" function.

Response

Created
merchantIdstring
UUID of the created merchant
messagestring

Human-readable result message

statusstring
Operation status

Errors

400
Create Merchant Body Bad Request Error
401
Create Merchant Body Unauthorized Error
409
Create Merchant Body Conflict Error
422
Create Merchant Body Unprocessable Entity Error
500
Create Merchant Body Internal Server Error